
Figure - Bug #116878
【AF】【EVT3】【ST】【屏保】【偶现】MCU 过压保护反复测试过程中出现设备开机后，开机动画过后第一
个界面是屏保设置，而不是homescreen
2023-03-10 18:38 - 移动测试一组_CDTS 刘强

Status: CLOSED Start date: 2023-03-10

Priority: High Due date: 2023-03-17

Assignee: 移动测试一组_CDTS 刘强 % Done: 100%

Category: CD-APP Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 0078

Resolution: FIXED Degrated: No

Severity: Major Verified Version:

Reproducibility: Occasionally Fixed Version: 2023-03-17

Test Type: ST Root cause: 编码问题

Description

【前提条件】

使用稳压电源进线供电

【测试步骤】

1. 烧写正常版本后开机

2. 在开机引导界面或开机动画界面升压至19V

3. 触发过压保护后，重新上电开机，执行恢复出厂

4. 在开机动画和开机引导界面升压

5. 反复压测

【预期结果】

2&4 均能触发过压保护

5. 可以正常开机

【实际结果】

5. 会偶现开机动画过后第一个界面是屏保设置，而不是homescreen

Related issues:

Related to Figure - Bug # 116883: 【AF】【EVT3】【ST】【Display】... CLOSED 2023-03-11 2023-03-17

History

#1 - 2023-03-13 10:00 - CD TPM-王祥林

- Category changed from CD-FW to CD-APP

- Assignee changed from CD TPM-王祥林 to CD APP-王营

#2 - 2023-03-13 14:33 - CD APP-王营

- Status changed from New to ASSIGNED

■ Current conclusion

问题已解决，待验证

■ My analysis

压测时间过长导致屏保模式触发，屏保Activity被保存，过压保护触发后重启，Launcher拉起了保存的屏保应用，处理方式为取消屏保应用的保存。

■Submit URL

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Launcher3/+/187146
#3 - 2023-03-16 16:20 - CD APP-王营

- % Done changed from 0 to 50

- Resolution changed from -- to FIXED

■ Current conclusion

问题已处理，验证中

■ My analysis

在压测过程中，触发过压保护之前保存了ScreenSaver的包名和Activity的名称，过压保护重启后此页面被拉起，ScreenSaver在过压保护的需求中是不需要保

存的，结合当前业务场景，如果启动页面为ScreenSaver则存入空页面。

■Submit URL

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Launcher3/+/187146

#4 - 2023-03-16 19:42 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

187146 general/platform/packages/apps/Launc

her3

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

ying.wang@thundersoft.com

AF: Launcher: Fix overvoltage protection bug1.Should not save the screensaver app when overvoltage protection triggered.TC-RID: 0301-0300601IssueID:

TS-R-BUG-116878Change-Id: If8799b91fb87ba58073ca0956491b12d17dce102

#5 - 2023-03-16 19:47 - CD APP-王营

- Due date set to 2023-03-17

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD APP-王营 to 移动测试一组_CDTS 刘强

- % Done changed from 50 to 100

- Degrated changed from -- to No

- Fixed Version set to 2023-03-17

- Root cause set to 编码问题

#6 - 2023-03-21 09:59 - 移动测试一组_CDTS 刘强

- Status changed from RESOLVED to VERIFIED

验证版本：FlatBuild_HH_MCE_FSE.M.D.user.01.00.C101.202303191230

验证结果：验证10次，未复现

#7 - 2023-03-21 10:00 - 移动测试一组_CDTS 刘强

- Status changed from VERIFIED to CLOSED

#8 - 2023-04-06 18:39 - CD BSP-杜磊

- Subject changed from 【BSP】【EVT3】【ST】【屏保】【偶现】MCU 过压保护反复测试过程中出现设备开机后，开机动画过后第一个界面是屏保设置

，而不是homescreen to 【AF】【EVT3】【ST】【屏保】【偶现】MCU 过压保护反复测试过程中出现设备开机后，开机动画过后第一个界面是屏保设置

，而不是homescreen
